DOMDocument::save
DOMDocument::saveHTMLFile
DOMDocument
PHP Manual

# DOMDocument::saveHTML

(PHP 5)

DOMDocument::saveHTML — Dumps the internal document into a string using HTML formatting

### Description

public string DOMDocument::saveHTML ([ DOMNode `$node` = NULL ] )

Creates an HTML document from the DOM representation. This function is usually called after building a new dom document from scratch as in the example below.

### Parameters

`node`

  Optional parameter to output a subset of the document.

### Return Values

Returns the HTML, or `FALSE` if an error occurred.

### Changelog

Version | Description
--- | ---
5.3.6 | The `node` parameter was added.

### Examples

Example #1 Saving a HTML tree into a string

`<?php
$doc = new DOMDocument('1.0');
$root = $doc->createElement('html');
$root = $doc->appendChild($root);
$head = $doc->createElement('head');
$head = $root->appendChild($head);
$title = $doc->createElement('title');
$title = $head->appendChild($title);
$text = $doc->createTextNode('This is the title');
$text = $title->appendChild($text);
echo $doc->saveHTML();
?>`

### See Also

- DOMDocument::saveHTMLFile() - Dumps the internal document into a file using HTML formatting
- DOMDocument::loadHTML() - Load HTML from a string
- DOMDocument::loadHTMLFile() - Load HTML from a file

DOMDocument::save
DOMDocument::saveHTMLFile
DOMDocument
PHP Manual